[1.9] Problem with Minifier

Support requests, bug reports, etc. go here. Dedicated servers / VDS hosting only
sciurius
Bear Rating Trainee
Bear Rating Trainee
Posts: 5
Joined: 15 Mar 2013, 13:40

[1.9] Problem with Minifier

Postby sciurius » 31 Jul 2013, 14:55

After upgrading to 1.9 I get the following errors:

PHP Fatal error: Cannot redeclare class JShrink\\Minifier in /bulk/TinyTinyRSS/Tiny-Tiny-RSS-1.9/lib/jshrink/Minifier.php on line 59

I noticed that in 1.8, functions.php and prefs.php use "require_once" for lib/jshrink/Minifier.php, and index.php uses "require".

in 1.9, prefs.php was changed to use "require". Changing this to "require_once" makes the problem disappear.

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: [1.9] Problem with Minifier

Postby fox » 31 Jul 2013, 15:04

Thanks, I'll fix this in trunk.


Return to “Support”

Who is online

Users browsing this forum: No registered users and 28 guests